org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.PatternModelElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.PatternModelElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.PatternModelElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternModelElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Group` | `getGroup_0()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Assignment` | `getImportPackagesAssignment_1()`
    `org.eclipse.xtext.RuleCall` | `getImportPackagesVQLImportSectionParserRuleCall_1_0()`
    `org.eclipse.xtext.Keyword` | `getPackageKeyword_0_0()`
    `org.eclipse.xtext.Assignment` | `getPackageNameAssignment_0_1()`
    `org.eclipse.xtext.RuleCall` | `getPackageNameQualifiedNameParserRuleCall_0_1_0()`
    `org.eclipse.xtext.Assignment` | `getPatternsAssignment_2()`
    `org.eclipse.xtext.RuleCall` | `getPatternsPatternParserRuleCall_2_0()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Keyword` | `getSemicolonKeyword_0_2()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternModelElements

          public PatternModelElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getGroup_0

          public org.eclipse.xtext.Group getGroup_0()

    - #### getPackageKeyword_0_0

          public org.eclipse.xtext.Keyword getPackageKeyword_0_0()

    - #### getPackageNameAssignment_0_1

          public org.eclipse.xtext.Assignment getPackageNameAssignment_0_1()

    - #### getPackageNameQualifiedNameParserRuleCall_0_1_0

          public org.eclipse.xtext.RuleCall getPackageNameQualifiedNameParserRuleCall_0_1_0()

    - #### getSemicolonKeyword_0_2

          public org.eclipse.xtext.Keyword getSemicolonKeyword_0_2()

    - #### getImportPackagesAssignment_1

          public org.eclipse.xtext.Assignment getImportPackagesAssignment_1()

    - #### getImportPackagesVQLImportSectionParserRuleCall_1_0

          public org.eclipse.xtext.RuleCall getImportPackagesVQLImportSectionParserRuleCall_1_0()

    - #### getPatternsAssignment_2

          public org.eclipse.xtext.Assignment getPatternsAssignment_2()

    - #### getPatternsPatternParserRuleCall_2_0

          public org.eclipse.xtext.RuleCall getPatternsPatternParserRuleCall_2_0()